<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Yajra\DataTables\Facades\DataTables;
use Illuminate\Support\Facades\Auth;
use App\Models\ActivitiesAttended;
use App\Models\Department;

class CoordinatorController extends Controller
{
    // Coordinator dashboard (optional)
    public function index()
    {
        return view('coordinator.dashboard');
    }

    // View responses submitted by users
    public function viewActivitiesAttendedResponses()
    {
        $departments = Department::all();
        return view('pages.activities-attended.index', compact('departments'));
    }

    public function viewActivitiesOrganisedResponses()
    {
        return view('pages.activities-organised.index');
    }

    public function viewIvOrganisedResponses()
    {
        return view('pages.iv-organised.index');
    }

    public function viewPublicationsResponses()
    {
        return view('pages.publications.index');
    }

    public function viewBooksPublishedResponses()
    {
        return view('pages.booksPublished.index');
    }

    public function viewExternalEngagementResponses()
    {
        return view('pages.externalEngagement.index');
    }
    public function viewOnlineCoursesResponses()
    {
        return view('pages.onlineCourses.index');
    }
    public function viewPatentsResponses()
    {
        return view('pages.patents.index');
    }
}
